%global srcname icons

Name:           elementary-icon-theme
Summary:        Icons from the Elementary Project
Version:        4.2.0
Release:        1%{?dist}
License:        GPLv3+

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch


%description
This is an icon theme designed to be smooth, sexy, clear, and efficient.


%prep
%autosetup -n %{srcname}-%{version}


%build
# Nothing to do.


%install
mkdir -p %{buildroot}/%{_datadir}/icons/elementary
cp -pavR * %{buildroot}/%{_datadir}/icons/elementary/

rm %{buildroot}/%{_datadir}/icons/elementary/AUTHORS
rm %{buildroot}/%{_datadir}/icons/elementary/CODE_OF_CONDUCT.md
rm %{buildroot}/%{_datadir}/icons/elementary/CONTRIBUTING.md
rm %{buildroot}/%{_datadir}/icons/elementary/CONTRIBUTORS
rm %{buildroot}/%{_datadir}/icons/elementary/COPYING
rm %{buildroot}/%{_datadir}/icons/elementary/README.md
rm %{buildroot}/%{_datadir}/icons/elementary/pre-commit

touch %{buildroot}/%{_datadir}/icons/elementary/icon-theme.cache


%post
/bin/touch --no-create %{_datadir}/icons/elementary &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/elementary &> /dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/elementary &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/elementary &> /dev/null || :


%files
%doc AUTHORS CONTRIBUTORS
%license COPYING

%{_datadir}/icons/elementary/
%ghost %{_datadir}/icons/elementary/icon-theme.cache


%changelog
* Wed Jul 19 2017 Fabio Valentini <decathorpe@gmail.com> - 4.2.0-1
- Update to version 4.2.0.

* Sat May 20 2017 Fabio Valentini <decathorpe@gmail.com> - 4.1.0-1
- Update to version 4.1.0.

* Mon Mar 20 2017 Fabio Valentini <decathorpe@gmail.com> - 4.0.3-1
- Update to version 4.0.3.

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 4.0.2-2
- Correctly create icon cache.

* Thu Jan 19 2017 Fabio Valentini <decathorpe@gmail.com> - 4.0.2-1
- Update to version 4.0.2.
- Clean up spec file.

* Wed Dec 14 2016 Christopher Meng <rpm@cicku.me> - 4.0.1.1-1
- Update to 4.0.1.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 30 2013 Christopher Meng <rpm@cicku.me> - 3.1-1
- Update to 3.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 07 2013 Christopher Meng <rpm@cicku.me> - 3.0-1
- Update to 3.0(BZ#973917)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 06 2011 Johannes Lips <johannes.lips@googlemail.com> - 2.7.1-1
- update to 2.7.1
- updated the source url

* Sun Mar 13 2011 Johannes Lips <johannes.lips@googlemail.com> - 2.5-1
- update to 2.5

* Wed Aug 18 2010 Tajidin Abd <tajidinabd@archlinux.us> - 2.4-6
- removed wildcards in created directory

* Tue Aug 17 2010 Tajidin Abd <tajidinabd@archlinux.us> - 2.4-5
- corrected to reflect timestamps
- corrected license
- made changes to documentation

* Tue Aug 10 2010 Tajidin Abd <tajidinabd@archlinux.us> - 2.4-4
- cleaned up files macro

* Mon Aug 09 2010 Tajidin Abd <tajidinabd@archlinux.us> - 2.4-3
- made corrections to prep macro
- version number is referenced from URL:

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@archlinux.us> - 2.4-2
- Added Scriplets
- corrected tarname macro usage

* Fri Aug 06 2010 Tajidin Abd <tajidinabd@archlinux.us> - 2.4-1
- Intial rpm build Fedora
